IOParameters Class Reference

`#include <IOParameters.h>`

Inheritance diagram for IOParameters:

## Public Member Functions

| IOParameters (const DataType &input, const DataType &output)
void | setOutputFormat (const string &format)
void | setInputFormat (const string &format)
const string & | getInputFormat () const
const string & | getOutputFormat () const
unique_ptr< IOHandler > | createInputHandler () const
unique_ptr< IOHandler > | createOutputHandler () const
void | autoDetectInputFormat (Scanner &in)
| If using the input format, this must be called before validating the ideals, since the auto detect format is not a valid format other than as a place holder for the auto detected format.
void | validateFormats () const
Public Member Functions inherited from ParameterGroup
iterator | begin ()
iterator | end ()
| ParameterGroup ()
virtual | ~ParameterGroup ()
void | addParameter (Parameter *parameter)
void | obtainParameters (vector< Parameter * > &parameters)
virtual void | getValue (string &str) const

## Private Attributes

const DataType & | _inputType
const DataType & | _outputType
unique_ptr< StringParameter > | _inputFormat
unique_ptr< StringParameter > | _outputFormat

## Additional Inherited Members

Public Types inherited from ParameterGroup
typedef vector< Parameter * >::iterator | iterator

## Detailed Description

Definition at line 27 of file IOParameters.h.

## Constructor & Destructor Documentation

## IOParameters()

IOParameters::IOParameters | ( | const DataType & | input,
|  | const DataType & | output )

Definition at line 27 of file IOParameters.cpp.

## Member Function Documentation

## autoDetectInputFormat()

void IOParameters::autoDetectInputFormat | ( | Scanner & | in | ) |

If using the input format, this must be called before validating the ideals, since the auto detect format is not a valid format other than as a place holder for the auto detected format.

If the format on in is auto detect, it will (also) be set.

Definition at line 139 of file IOParameters.cpp.

## createInputHandler()

unique_ptr< IOHandler > IOParameters::createInputHandler | ( |  | ) | const

Definition at line 127 of file IOParameters.cpp.

## createOutputHandler()

unique_ptr< IOHandler > IOParameters::createOutputHandler | ( |  | ) | const

Definition at line 133 of file IOParameters.cpp.

## getInputFormat()

const string & IOParameters::getInputFormat | ( |  | ) | const

Definition at line 106 of file IOParameters.cpp.

## getOutputFormat()

const string & IOParameters::getOutputFormat | ( |  | ) | const

Definition at line 113 of file IOParameters.cpp.

## setInputFormat()

void IOParameters::setInputFormat | ( | const string & | format | ) |

Definition at line 100 of file IOParameters.cpp.

## setOutputFormat()

void IOParameters::setOutputFormat | ( | const string & | format | ) |

Definition at line 93 of file IOParameters.cpp.

## validateFormats()

void IOParameters::validateFormats | ( |  | ) | const

Definition at line 152 of file IOParameters.cpp.

## Member Data Documentation

## _inputFormat

unique_ptr<StringParameter> IOParameters::_inputFormat

private

Definition at line 55 of file IOParameters.h.

## _inputType

const DataType& IOParameters::_inputType

private

Definition at line 52 of file IOParameters.h.

## _outputFormat

unique_ptr<StringParameter> IOParameters::_outputFormat

private

Definition at line 56 of file IOParameters.h.

## _outputType

const DataType& IOParameters::_outputType

private

Definition at line 53 of file IOParameters.h.

The documentation for this class was generated from the following files:

- src/IOParameters.h
- src/IOParameters.cpp